/*
 * debug.c - SATURN assembler, debug utility
 * (c) 1995 Mario Mikocevic Mozgy (Mario.Mikocevic@fer.hr)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef	HAVE_CONFIG_H
#  include "config.h"
#endif

#include <stdarg.h>
#include <stdio.h>

extern FILE *dbgfile;
extern int debug;

void	DEBUG_PRN( char *fmt_str, ... )
{
#ifdef	__DEBUG__
	va_list	arg_ptr;

	if( debug ) {
		va_start( arg_ptr, fmt_str );
		vfprintf( dbgfile, fmt_str, arg_ptr );
		va_end( arg_ptr );
	}
#endif
}
