/*
 * sport.c - part of SATURN disassembler package
 * (c) 1995 Mario Mikocevic Mozgy (Mario.Mikocevic@fer.hr)
 * (c) 1993 Mika Heiskanen (mheiskan@vipunen.hut.fi)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <ctype.h>

void main( int argc, char **argv )
{
	int value, counter, chr;
	FILE *in, *out;

	value = counter = 0;

	if( !( in = fopen( "port.bin", "rb" ) ) ) {
		perror( "port.bin" );
		exit( 1 );
	}
#if	defined(__MSDOS__)
	if( !( out = fopen( "_port1", "wb" ) ) ) {
		perror( "_port1" );
#else
	if( !( out = fopen( ".port1", "wb" ) ) ) {
		perror( ".port1" );
#endif
		exit( 1 );
	}
	while( !feof( in ) ) {
		chr = getc( in );
		if( ( counter++ ) >= 8 ) {
			value = chr & 0xF;
			putc( value, out );
			value = ( chr / 16 ) & 0xF;
			putc( value, out );
		}
	}
}
