#ifndef	_RPLCOMP_H_
#define	_RPLCOMP_H_

#define	MAXCOMLEN	20
#define	MAXBUFSIZE	4096
#define	MAXTOKEN		64

#define CHECK(a)        if(!(a)) { puts("Can't alloc memory"); exit(1); }
#define CHKEND(a)       (a != '\n' && a != '\0')
#define SKIPSPC(s)      for(;s&&(*s==' '||*s=='\t'); s++)
#define KILLNEWLINE(q)  if(*(q+strlen(q)-1)=='\n') *(q+strlen(q)-1)='\0'; else {};
#define KILLRETURN(q)   if(*(q+strlen(q)-1)=='\r') *(q+strlen(q)-1)='\0'; else {};
#define null(type)      (type) 0L

struct LINE {
	char    *line;
	struct LINE     *next;
};

struct ITEM {
	struct LINE     *item;
	struct LINE     *last;
	struct ITEM     *next;
};

struct ARRY {
	char    *type;
	struct LINE *dimens;
	struct LINE *dim_last;
	struct ITEM     *items;
	struct ITEM     *itm_last;
};

struct FILES {
	FILE    *fp;
	char    *name;
	int     line;
};

char
	*mystrcpy( char * ),
	*conc_ext( char *, char * ),
	*check_token( char *, char * );
void
	usage( int ),
	parse_semi( char * ),
	parse_code( char * ),
	parse_title( char * ),
	parse_then( char * ),
	parse_assemble( char * ),
	parse_name( int, char * ),
	parse_arry( int ),
	parse_label( int ),
	parse_romid( int ),
	parse_rpl( void ),
	parse_tag( void ),
	parse_chr( void ),
	parse_real( void ),
	parse_local( void ),
	parse_define( void ),
	parse_e_real( void ),
	parse_lparen( void ),
	parse_complex( void ),
	parse_endcode( void ),
	parse_include( void ),
	parse_endbind( void ),
	parse_bind( void ),
	parse_external( void ),
	parse_e_complex( void );

int
	parse_lines(int);

extern	FILE	*openfile( char *, char *, char *, char *, char ** );
extern	void	DEBUG_PRN( char *, ... );

extern	int	getopt( int, char * const [], const char * );

#endif
