#ifndef	_SYMBOLS_H_
#define	_SYMBOLS_H_

struct lineref {
	unsigned long   l_line;
	struct lineref  *l_next;
};

struct fillref {
	long    f_address;
	long    f_bias;
	unsigned char   f_class;
	unsigned char   f_subclass;
	int     f_length;
	struct fillref  *f_next;
};

struct symbol {
	char    s_name[SYM_NAME_LEN + 1];
	long    s_value;
	char    s_red;
	unsigned char   s_flags;
	struct lineref  *s_lineref;
	unsigned int    s_fillcount;
	struct fillref  *s_fillref;
	struct symbol   *s_left;
	struct symbol   *s_right;
};

struct expression {
	int     e_extcount;
	int     e_relcount;
	char    e_name[SYM_NAME_LEN + 2]; /* ':' or '=' included */
	long    e_value;
};

extern void
	error( char *, ... ),
	errmsg( char * ),
	DEBUG_PRN( char *, ... );

#endif
